<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/GameData.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">GameData.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for GameData.h:</div>
<div class="dyncontent">
<div class="center"><img src="GameData_8h__incl.png" border="0" usemap="#src_2GameData_8h" alt=""/></div>
<map name="src_2GameData_8h" id="src_2GameData_8h">
<area shape="rect" title=" " alt="" coords="5,5,132,32"/>
<area shape="rect" title=" " alt="" coords="39,80,98,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="GameData_8h__dep__incl.png" border="0" usemap="#src_2GameData_8hdep" alt=""/></div>
<map name="src_2GameData_8hdep" id="src_2GameData_8hdep">
<area shape="rect" title=" " alt="" coords="898,5,1025,32"/>
<area shape="rect" href="Bonus_8cpp.html" title=" " alt="" coords="5,80,117,107"/>
<area shape="rect" href="Enemy_8cpp.html" title=" " alt="" coords="141,80,256,107"/>
<area shape="rect" href="GameData_8cpp.html" title=" " alt="" coords="281,80,423,107"/>
<area shape="rect" href="GameObject_8cpp.html" title=" " alt="" coords="447,80,601,107"/>
<area shape="rect" href="GameScene_8cpp.html" title=" " alt="" coords="625,80,775,107"/>
<area shape="rect" href="LevelManager_8cpp.html" title=" " alt="" coords="800,80,963,107"/>
<area shape="rect" href="Menu_8cpp.html" title=" " alt="" coords="987,80,1095,107"/>
<area shape="rect" href="Object_8cpp.html" title=" " alt="" coords="1120,80,1235,107"/>
<area shape="rect" href="Player_8cpp.html" title=" " alt="" coords="1259,80,1371,107"/>
<area shape="rect" href="Projectile_8cpp.html" title=" " alt="" coords="1395,80,1528,107"/>
<area shape="rect" href="ScoreManager_8cpp.html" title=" " alt="" coords="1553,80,1717,107"/>
<area shape="rect" href="Weapon_8cpp.html" title=" " alt="" coords="1741,80,1865,107"/>
</map>
</div>
</div>
<p><a href="GameData_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceGameData"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html">GameData</a></td></tr>
<tr class="memdesc:namespaceGameData"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constains all constants. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad2eb7e78695db8310b24f49dbef71858"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ad2eb7e78695db8310b24f49dbef71858">GameData::m_MapsPath</a> = &quot;saves/levels&quot;</td></tr>
<tr class="separator:ad2eb7e78695db8310b24f49dbef71858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add24bfb80566a8d1f4a163cef823fd6a"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#add24bfb80566a8d1f4a163cef823fd6a">GameData::m_ScorePath</a> = &quot;saves/score&quot;</td></tr>
<tr class="separator:add24bfb80566a8d1f4a163cef823fd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a648024b133481fc22d13b1a860b33d2c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a648024b133481fc22d13b1a860b33d2c">GameData::m_TopBorderHeight</a> = 1</td></tr>
<tr class="separator:a648024b133481fc22d13b1a860b33d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fdf0efe5acc638e4f57975202f4516"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a80fdf0efe5acc638e4f57975202f4516">GameData::m_GameWindowHeight</a> = 40</td></tr>
<tr class="separator:a80fdf0efe5acc638e4f57975202f4516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfc21f5eb1dd275e5bb6091b0da19bf"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a0bfc21f5eb1dd275e5bb6091b0da19bf">GameData::m_GameWindowWidth</a> = 202</td></tr>
<tr class="separator:a0bfc21f5eb1dd275e5bb6091b0da19bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f057848d4a85df61ca13dda3f6c676b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2f057848d4a85df61ca13dda3f6c676b">GameData::m_HUDHeight</a> = 5</td></tr>
<tr class="separator:a2f057848d4a85df61ca13dda3f6c676b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37c2367c5e6acf719699e2579664f809"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a37c2367c5e6acf719699e2579664f809">GameData::m_FPS</a> = 30</td></tr>
<tr class="separator:a37c2367c5e6acf719699e2579664f809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3fd19414c95fc414f257ac4606d6c7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#acf3fd19414c95fc414f257ac4606d6c7">GameData::m_EndAfterLastEnemy</a> = 40000</td></tr>
<tr class="separator:acf3fd19414c95fc414f257ac4606d6c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f82c383572d9a1741af535190d6c8f8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6f82c383572d9a1741af535190d6c8f8">GameData::m_TopScore</a> = 5</td></tr>
<tr class="separator:a6f82c383572d9a1741af535190d6c8f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464301794d1f84cbea610935a38debd1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a464301794d1f84cbea610935a38debd1">GameData::m_ScoreForFinishing</a> = 500</td></tr>
<tr class="separator:a464301794d1f84cbea610935a38debd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31cebb7d4717bf171df527cecb8471e0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a31cebb7d4717bf171df527cecb8471e0">GameData::m_ScorePerHealth</a> = 10</td></tr>
<tr class="separator:a31cebb7d4717bf171df527cecb8471e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab02272a71e004d519f41acec7840b9ab"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ab02272a71e004d519f41acec7840b9ab">GameData::m_PlayerMaxHealth</a> = 9</td></tr>
<tr class="separator:ab02272a71e004d519f41acec7840b9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a926f6e06cde2873c21d674d6d4049b67"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a926f6e06cde2873c21d674d6d4049b67">GameData::m_PlayerStartHealth</a> = 5</td></tr>
<tr class="separator:a926f6e06cde2873c21d674d6d4049b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cad14095fd0011e00b2075d84ab4324"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2cad14095fd0011e00b2075d84ab4324">GameData::m_PlayerInvincibilityDuration</a> = 500</td></tr>
<tr class="separator:a2cad14095fd0011e00b2075d84ab4324"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b55fdb990119e19b9d56c2f8efa937"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a52b55fdb990119e19b9d56c2f8efa937">GameData::m_MoveUpKey</a> = 119</td></tr>
<tr class="separator:a52b55fdb990119e19b9d56c2f8efa937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7da666f64327f737a0caabadaa02c3"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6f7da666f64327f737a0caabadaa02c3">GameData::m_MoveDownKey</a> = 115</td></tr>
<tr class="separator:a6f7da666f64327f737a0caabadaa02c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c90c863638112b753efe5d443f8fec8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9c90c863638112b753efe5d443f8fec8">GameData::m_ExitKey</a> = 120</td></tr>
<tr class="separator:a9c90c863638112b753efe5d443f8fec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb07b6a2368858122de33e1028273d4"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2eb07b6a2368858122de33e1028273d4">GameData::m_BonusChance</a> = 60</td></tr>
<tr class="separator:a2eb07b6a2368858122de33e1028273d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadcc82b2a3f65146ab83197ecfcc5654"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aadcc82b2a3f65146ab83197ecfcc5654">GameData::m_BonusSpeed</a> = 7</td></tr>
<tr class="separator:aadcc82b2a3f65146ab83197ecfcc5654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95d8fde1cf03e57394a6da5a455de9d7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a95d8fde1cf03e57394a6da5a455de9d7">GameData::m_MaxWeaponLevel</a> = 3</td></tr>
<tr class="separator:a95d8fde1cf03e57394a6da5a455de9d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3096c27f7cd6ab521d92dd43f88741df"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a3096c27f7cd6ab521d92dd43f88741df">GameData::m_MachineGunFireRate</a> = 110</td></tr>
<tr class="separator:a3096c27f7cd6ab521d92dd43f88741df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2723131b19384dbaddfa4dca153138f1"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a2723131b19384dbaddfa4dca153138f1">GameData::m_BulletSpeed</a> = 67</td></tr>
<tr class="separator:a2723131b19384dbaddfa4dca153138f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b23586a9371ab6326455119ea2d0aa6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a5b23586a9371ab6326455119ea2d0aa6">GameData::m_BulletDmg</a> = 3</td></tr>
<tr class="separator:a5b23586a9371ab6326455119ea2d0aa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae49dcdb5b70000e9dfe98b3374cbeb82"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ae49dcdb5b70000e9dfe98b3374cbeb82">GameData::m_CannonFireRate</a> = 60</td></tr>
<tr class="separator:ae49dcdb5b70000e9dfe98b3374cbeb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc0a8c50c9b007dc25f6cfc37e1f0d7"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9fc0a8c50c9b007dc25f6cfc37e1f0d7">GameData::m_ShellSpeed</a> = 75</td></tr>
<tr class="separator:a9fc0a8c50c9b007dc25f6cfc37e1f0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ca4361994031cef98a2f1abaf9326c6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6ca4361994031cef98a2f1abaf9326c6">GameData::m_ShellDmg</a> = 8</td></tr>
<tr class="separator:a6ca4361994031cef98a2f1abaf9326c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5503937fbc524c7858d1b80cdf256c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#adc5503937fbc524c7858d1b80cdf256c">GameData::m_RocketLauncherFireRate</a> = 70</td></tr>
<tr class="separator:adc5503937fbc524c7858d1b80cdf256c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229cae9e6f78629826bfd8cbe3c3d2cc"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a229cae9e6f78629826bfd8cbe3c3d2cc">GameData::m_RocketSpeed</a> = 69</td></tr>
<tr class="separator:a229cae9e6f78629826bfd8cbe3c3d2cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab880b2c6c9c3abbc28cb774071998903"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ab880b2c6c9c3abbc28cb774071998903">GameData::m_RocketDmg</a> = 5</td></tr>
<tr class="separator:ab880b2c6c9c3abbc28cb774071998903"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e2aad48b70ae433349bc6b5bf1d8547"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a9e2aad48b70ae433349bc6b5bf1d8547">GameData::m_MiniRocketDmg</a> = 3</td></tr>
<tr class="separator:a9e2aad48b70ae433349bc6b5bf1d8547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6ac57c67549e9f50529788048008145"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#ad6ac57c67549e9f50529788048008145">GameData::m_MiniRocketSpeed</a> = 50</td></tr>
<tr class="separator:ad6ac57c67549e9f50529788048008145"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a480009dec6bd88c48520c3995a1d8da0"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a480009dec6bd88c48520c3995a1d8da0">GameData::m_FighterScoreValue</a> = 50</td></tr>
<tr class="separator:a480009dec6bd88c48520c3995a1d8da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85cf38a726649643682dc4883b9923fb"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a85cf38a726649643682dc4883b9923fb">GameData::m_FighterHealth</a> = 15</td></tr>
<tr class="separator:a85cf38a726649643682dc4883b9923fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f2e9b988004a307f283e77b434ad549"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a3f2e9b988004a307f283e77b434ad549">GameData::m_FighterFireRate</a> = 20</td></tr>
<tr class="separator:a3f2e9b988004a307f283e77b434ad549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef61b00eb5bdc7bdaf49109b817e0c1b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aef61b00eb5bdc7bdaf49109b817e0c1b">GameData::m_FighterSpeed</a> = 8</td></tr>
<tr class="separator:aef61b00eb5bdc7bdaf49109b817e0c1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d97878391b2e7c68e1c2802e7549a4"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#af0d97878391b2e7c68e1c2802e7549a4">GameData::m_BomberScoreValue</a> = 55</td></tr>
<tr class="separator:af0d97878391b2e7c68e1c2802e7549a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fd3be7e472555a4517f2b63e92bbd6"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a79fd3be7e472555a4517f2b63e92bbd6">GameData::m_BomberHealth</a> = 25</td></tr>
<tr class="separator:a79fd3be7e472555a4517f2b63e92bbd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4cf927fab47a673a6f98e040614059"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a7d4cf927fab47a673a6f98e040614059">GameData::m_BomberFireRate</a> = 25</td></tr>
<tr class="separator:a7d4cf927fab47a673a6f98e040614059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51cd41a7d16dafacfc59ccfbf3141239"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a51cd41a7d16dafacfc59ccfbf3141239">GameData::m_BomberSpeed</a> = 7</td></tr>
<tr class="separator:a51cd41a7d16dafacfc59ccfbf3141239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9a8cc12df4afff459c39ee5b9a1e65"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a6e9a8cc12df4afff459c39ee5b9a1e65">GameData::m_DroneScoreValue</a> = 10</td></tr>
<tr class="separator:a6e9a8cc12df4afff459c39ee5b9a1e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65941fd7738aa3ddeb1ae40b4f4cb908"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a65941fd7738aa3ddeb1ae40b4f4cb908">GameData::m_DroneHealth</a> = 9</td></tr>
<tr class="separator:a65941fd7738aa3ddeb1ae40b4f4cb908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa4894ba9888557edd97891093edc5a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#acaa4894ba9888557edd97891093edc5a">GameData::m_DroneFireRate</a> = 10</td></tr>
<tr class="separator:acaa4894ba9888557edd97891093edc5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44db7b7f25ebf278b20fc6022bbb651f"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a44db7b7f25ebf278b20fc6022bbb651f">GameData::m_DroneSpeed</a> = 10</td></tr>
<tr class="separator:a44db7b7f25ebf278b20fc6022bbb651f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba81d622b20cf2dba48f10889fa70971"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aba81d622b20cf2dba48f10889fa70971">GameData::m_CruiserScoreValue</a> = 300</td></tr>
<tr class="separator:aba81d622b20cf2dba48f10889fa70971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6c529504abba23c106933eb606fb93"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a1a6c529504abba23c106933eb606fb93">GameData::m_CruiserHealth</a> = 45</td></tr>
<tr class="separator:a1a6c529504abba23c106933eb606fb93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa194f4fdc9853298f51cf0dd12dcf574"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aa194f4fdc9853298f51cf0dd12dcf574">GameData::m_CruiserSpeed</a> = 8</td></tr>
<tr class="separator:aa194f4fdc9853298f51cf0dd12dcf574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5755952c7f77efbb462a944133c56773"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a5755952c7f77efbb462a944133c56773">GameData::m_CruiserFireRate</a> = 500</td></tr>
<tr class="separator:a5755952c7f77efbb462a944133c56773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa395afeccac9dd8d87e09a27274c7c3b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#aa395afeccac9dd8d87e09a27274c7c3b">GameData::m_CruiserTravelTime</a> = 4500</td></tr>
<tr class="separator:aa395afeccac9dd8d87e09a27274c7c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a088564ededaf5d6b56988b19a78e7705"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceGameData.html#a088564ededaf5d6b56988b19a78e7705">GameData::m_CruiserFireTime</a> = 1000</td></tr>
<tr class="separator:a088564ededaf5d6b56988b19a78e7705"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
